<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author			felipe.cadena

@version 		1.0
@description 	test para revisar tareas que estan en actividades geograficas.


@MB     EstudioAjusteEspacialMB
    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::---::.
    </ui:define>

    <ui:define name="content">
        <h:form id="verTareasForm">

            <p:messages showDetail="false" globalOnly="false" />


            <h:panelGrid width="500">
                <p:dataTable id="tareasDT" widgetVar="tareasDTWV"
                             value="#{testTareasGeograficas.tramites}"
                             var="tramite" paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             emptyMessage="No se encontraron predios">
                    <f:facet name="header">
                        Tramites
                    </f:facet>

                    <p:column headerText="ID">
                        <h:outputText id="PredioTipoV"
                                      value="#{tramite.id}">
                        </h:outputText>


                    </p:column>

                    <p:column headerText="Radicacion">
                        <h:outputText 
                            value="#{tramite.numeroRadicacion}">

                        </h:outputText>


                    </p:column>
                    <p:column headerText="Rol">
                        <h:outputText 
                            value="#{testTareasGeograficas.rol}">
                        </h:outputText>


                    </p:column>


                    <p:column headerText="Opciones">
                        <p:commandButton value="Mover actividad"
                                         icon="ui-icon-refresh"
                                         update="tareasDT"
                                         oncomplete="statusDialog2.hide()"
                                         onstart="statusDialog2.show()"
                                         action="#{testTareasGeograficas.avanzarProceso}">

                            <f:setPropertyActionListener target="#{testTareasGeograficas.tramiteActual}" value="#{tramite}"/>
                        </p:commandButton>

                    </p:column>


                </p:dataTable>
            </h:panelGrid>

        </h:form>




    </ui:define>
</ui:composition>

